<template>
  <div class="permission-tree">
    <ul v-for="(itemList,index) in purviewList" :key="index">
      <el-checkbox-group 
        v-if="showCheckbox"
        @change="selected"
        v-model="selectedList.selected">
        <tree-item 
          :selectedList="selectedList"
          :itemList="itemList">
        </tree-item>
      </el-checkbox-group>
      <tree-item 
        v-else
        :selectedList="selectedList"
        :itemList="itemList">
      </tree-item>
    </ul>
  </div>
</template>

<script>

import TreeItem from './TreeItem';

export default {
  name: 'PermissionTree',
  props:{
    purviewList:{
      type:[Array,Object]
    },
    showCheckbox:{
      type:Boolean,
      default:true
    }
  },
  provide(){
    return{
      showCheckbox:this.showCheckbox
    }
  },
  components:{
    TreeItem
  },
  data(){
    return{
      selectedList:{
        selected:[],
      },
    }
  },
  created(){
   
  },
  methods:{
    selected(val){
      // console.log(this.selectedList.selected);
    }
  }
}
</script>

<style lang="less" scoped>
.permission-tree{
  text-align: left;
  ul {
    list-style: none;
    margin: 10px 0;
    padding-left: 20px;
  }
}
</style>
